Bug 1815917 - self-signed TLS certificate refused even when trusted
Summary: self-signed TLS certificate refused even when trusted
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: caja
Version: 31
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Wolfgang Ulbrich
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-03-22 17:51 UTC by fab
Modified: 2020-11-24 16:13 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-24 16:13:23 UTC
Type: Bug


Attachments (Terms of Use)
dialog prompt (21.61 KB, image/png)
2020-06-29 07:07 UTC, fab
no flags Details

Description fab 2020-03-22 17:51:01 UTC
Description of problem:
I would like to connect to a private FTPS server with a self-signed certificate (official certificate from let's encrypt not possible, since my server is on a private local IP address). But this is not a possible without a prompt asking me to confirm I would like to do this.


Version-Release number of selected component (if applicable):
caja-1.22.3-1.fc31.x86_64

How reproducible:
The certificate have been added to the list of trusted certificates using this guide:
https://www.happyassassin.net/2015/01/14/trusting-additional-cas-in-fedora-rhel-centos-dont-append-to-etcpkitlscertsca-bundle-crt-or-etcpkitlscert-pem/

Actual results:
Caja refuses to connect to this server without displaying a prompt asking me if I agree to connect to a server with an "unknown certificate authority".


Expected results:
This is quite a problem, since I use this server as a destination for my duplicity automatic backups. Duplicity would not perform automatic backup in such a case !
I absolutely need automatic connection to this server without interactive prompt.

Additional info:
This procedure used to work perfectly however in previous releases of Fedora (not sure, but I think it ceases working in fedora 28...).

Comment 1 fab 2020-05-13 14:22:08 UTC
Up ??

Comment 2 Wolfgang Ulbrich 2020-05-13 16:37:11 UTC
You like to have a code change. Than you should ask upstream.
https://github.com/mate-desktop/caja/issues

Comment 3 fab 2020-06-29 07:07:49 UTC
Created attachment 1699080 [details]
dialog prompt

Comment 4 fab 2020-06-29 07:10:32 UTC
Hello again,

I've got no answer from upstream for almost two months...

Anyway, I've found that the bug is not specific from caja: I get the exact same prompt with nautilus (see attachment).

Thus I think the bug comes from a library, probably in gnome, both used by caja, nautilus or deja-dup.

Could you please help find this library so that I shall submit the bug in the right place ?

Thanks in advance.

Comment 5 Wolfgang Ulbrich 2020-06-29 07:44:39 UTC
Maybe gvfs?
It is used by most file-managers.
https://koji.fedoraproject.org/koji/buildinfo?buildID=1484350

Summary	        Backends for the gio framework in GLib
Description	The gvfs package provides backend implementations for the gio framework in GLib. It includes ftp, sftp, cifs.

Comment 6 Ben Cotton 2020-11-03 17:08:57 UTC
This message is a reminder that Fedora 31 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 31 on 2020-11-24.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '31'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 31 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 7 Ben Cotton 2020-11-24 16:13:23 UTC
Fedora 31 changed to end-of-life (EOL) status on 2020-11-24. Fedora 31 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.